Public Member Functions | Public Attributes | List of all members
MarinerWrtGraphInternal::Zone Struct Reference

Internal: the struct use to store a zone of a MarinerWrtGraph. More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
std::map< long, Token > | m_tokenMap
| the map id->token More...
std::map< long, PSZone > | m_psZoneMap
| the map id->entry to a psfile More...

## Detailed Description

Internal: the struct use to store a zone of a MarinerWrtGraph.

## Constructor & Destructor Documentation

## ◆ Zone()

MarinerWrtGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_psZoneMap

std::map<long, PSZone> MarinerWrtGraphInternal::Zone::m_psZoneMap

the map id->entry to a psfile

Referenced by MarinerWrtGraph::flushExtra(), and MarinerWrtGraph::readPostscript().

## ◆ m_tokenMap

std::map<long, Token> MarinerWrtGraphInternal::Zone::m_tokenMap

the map id->token

Referenced by MarinerWrtGraph::flushExtra(), MarinerWrtGraph::readToken(), and MarinerWrtGraph::sendToken().

The documentation for this struct was generated from the following file:

- MarinerWrtGraph.cxx